<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>s2vs &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>s2vs
      <small>Function</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.1% of total for procedures.">20 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/mstrings.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/mstrings.f03.html'>mstrings.f03</a></li>
    
     <li><a href='../module/m_strings.html'>M_strings</a></li>
    
  
     <li class="active">s2vs</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
public function s2vs(string, delim) result(darray)
    
    
   
</h2>
    
  


    
    <h2>NAME</h2>
<div class="codehilite"><pre><span></span><code>  <span class="nv">s2vs</span><span class="ss">(</span><span class="mi">3</span><span class="nv">f</span><span class="ss">)</span> <span class="o">-</span> [<span class="nv">M_strings</span>:<span class="nv">NUMERIC</span>] <span class="nv">given</span> <span class="nv">a</span> <span class="nv">string</span> <span class="nv">representing</span> <span class="nv">numbers</span> <span class="k">return</span> <span class="nv">a</span> <span class="nv">numeric</span> <span class="nv">array</span>
</code></pre></div>

<h2>SYNOPSIS</h2>
<div class="codehilite"><pre><span></span><code><span class="w">   </span><span class="k">function</span><span class="w"> </span><span class="nf">s2vs</span><span class="p">(</span>line[,delim]<span class="p">)</span><span class="w"></span>

<span class="w">    </span><span class="n">character</span><span class="p">(</span><span class="n">len</span><span class="p">=</span><span class="o">*</span><span class="p">)</span><span class="w"> </span><span class="p">::</span><span class="w"> </span><span class="nb">line</span><span class="w"></span>
<span class="w">    </span><span class="n">doubleprecision</span><span class="p">,</span><span class="n">allocatable</span><span class="w"> </span><span class="p">::</span><span class="w"> </span><span class="n">s2vs</span><span class="p">(:)</span><span class="w"></span>
</code></pre></div>

<h2>DESCRIPTION</h2>
<div class="codehilite"><pre><span></span><code>The function S2VS(3f) takes a string representing a series of numbers
and converts it to a numeric doubleprecision array. The string values
may be delimited by spaces, semi-colons, and commas by default.
</code></pre></div>

<h2>OPTIONS</h2>
<div class="codehilite"><pre><span></span><code>   <span class="nv">LINE</span>   <span class="nv">Input</span> <span class="nv">string</span> <span class="nv">containing</span> <span class="nv">numbers</span>
   <span class="nv">DELIM</span>  <span class="nv">optional</span> <span class="nv">list</span> <span class="nv">of</span> <span class="nv">delimiter</span> <span class="nv">characters</span>. <span class="k">If</span> <span class="nv">a</span> <span class="nv">space</span> <span class="nv">is</span>
          <span class="nv">included</span>, <span class="nv">it</span> <span class="nv">should</span> <span class="nv">appear</span> <span class="nv">as</span> <span class="nv">the</span> <span class="nv">left</span><span class="o">-</span><span class="nv">most</span> <span class="nv">character</span>
          <span class="nv">in</span> <span class="nv">the</span> <span class="nv">list</span>. <span class="nv">The</span> <span class="nv">default</span> <span class="nv">is</span> <span class="s2">&quot;</span><span class="s"> ;,</span><span class="s2">&quot;</span> <span class="ss">(</span><span class="nv">spaces</span>, <span class="nv">semi</span><span class="o">-</span><span class="nv">colons</span>,
          <span class="nv">and</span> <span class="nv">commas</span><span class="ss">)</span>.
</code></pre></div>

<h2>RESULTS</h2>
<div class="codehilite"><pre><span></span><code>   S2VS   doubleprecision array
</code></pre></div>

<h2>EXAMPLE</h2>
<p>Sample Program:</p>
<div class="codehilite"><pre><span></span><code>  <span class="nt">program</span> <span class="nt">demo_s2vs</span>
  <span class="nt">use</span> <span class="nt">M_strings</span><span class="o">,</span> <span class="nt">only</span> <span class="o">:</span> <span class="nt">s2vs</span>
  <span class="nt">character</span><span class="o">(</span><span class="nt">len</span><span class="o">=</span><span class="nt">80</span><span class="o">)</span>           <span class="o">::</span> <span class="nt">s</span><span class="o">=</span><span class="s1">&#39; 10 20e3;3.45 -400.3e-2;1234; 5678 &#39;</span>
  <span class="nt">doubleprecision</span><span class="o">,</span><span class="nt">allocatable</span> <span class="o">::</span> <span class="nt">values</span><span class="o">(:)</span>
  <span class="nt">integer</span><span class="o">,</span><span class="nt">allocatable</span>         <span class="o">::</span> <span class="nt">ivalues</span><span class="o">(:)</span>

  <span class="nt">values</span><span class="o">=</span><span class="nt">s2vs</span><span class="o">(</span><span class="nt">s</span><span class="o">)</span>
  <span class="nt">ivalues</span><span class="o">=</span><span class="nt">int</span><span class="o">(</span><span class="nt">s2vs</span><span class="o">(</span><span class="nt">s</span><span class="o">))</span>
  <span class="nt">call</span> <span class="nt">reportit</span><span class="o">()</span>

  <span class="nt">contains</span>
    <span class="nt">subroutine</span> <span class="nt">reportit</span><span class="o">()</span>
      <span class="nt">write</span><span class="o">(*,*)</span><span class="s1">&#39;S2VS:&#39;</span>
      <span class="nt">write</span><span class="o">(*,*)</span><span class="s1">&#39;input string.............&#39;</span><span class="o">,</span><span class="nt">trim</span><span class="o">(</span><span class="nt">s</span><span class="o">)</span>
      <span class="nt">write</span><span class="o">(*,*)</span><span class="s1">&#39;number of values found...&#39;</span><span class="o">,</span><span class="nt">size</span><span class="o">(</span><span class="nt">values</span><span class="o">)</span>
      <span class="nt">write</span><span class="o">(*,*)</span><span class="s1">&#39;values...................&#39;</span><span class="o">,(</span><span class="nt">values</span><span class="o">(</span><span class="nt">ii</span><span class="o">),</span><span class="nt">ii</span><span class="o">=</span><span class="nt">1</span><span class="o">,</span><span class="nt">size</span><span class="o">(</span><span class="nt">values</span><span class="o">))</span>
      <span class="nt">write</span><span class="o">(*,*)</span><span class="s1">&#39;ivalues..................&#39;</span><span class="o">,(</span><span class="nt">ivalues</span><span class="o">(</span><span class="nt">ii</span><span class="o">),</span><span class="nt">ii</span><span class="o">=</span><span class="nt">1</span><span class="o">,</span><span class="nt">size</span><span class="o">(</span><span class="nt">values</span><span class="o">))</span>
    <span class="nt">end</span> <span class="nt">subroutine</span> <span class="nt">reportit</span>
  <span class="nt">end</span> <span class="nt">program</span> <span class="nt">demo_s2vs</span>

<span class="nt">Expected</span> <span class="nt">output</span>

 <span class="nt">S2VS</span><span class="o">:</span>
 <span class="nt">input</span> <span class="nt">string</span><span class="o">.............</span> <span class="nt">10</span> <span class="nt">20e3</span><span class="o">;</span><span class="nt">3</span><span class="p">.</span><span class="nc">45</span> <span class="nt">-400</span><span class="p">.</span><span class="nc">3e-2</span><span class="o">;</span><span class="nt">1234</span><span class="o">;</span> <span class="nt">5678</span>
 <span class="nt">number</span> <span class="nt">of</span> <span class="nt">values</span> <span class="nt">found</span><span class="o">...</span> <span class="nt">6</span>
 <span class="nt">values</span><span class="o">...................</span> <span class="nt">10</span><span class="p">.</span><span class="nc">000000000000000</span>  <span class="nt">20000</span><span class="p">.</span><span class="nc">000000000000</span> <span class="nt">3</span><span class="p">.</span><span class="nc">4500000000000002</span>
 <span class="nt">-4</span><span class="p">.</span><span class="nc">0030000000000001</span>       <span class="nt">1234</span><span class="p">.</span><span class="nc">0000000000000</span>  <span class="nt">5678</span><span class="p">.</span><span class="nc">0000000000000</span>
 <span class="nt">ivalues</span><span class="o">..................</span> <span class="nt">10</span>  <span class="nt">20000</span>  <span class="nt">3</span>  <span class="nt">-4</span> <span class="nt">1234</span> <span class="nt">5678</span>
</code></pre></div>
    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-string%7E13"></span>character(len=*),</td>
  <td>intent(in)</td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>string</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-delim"></span>character(len=*),</td>
  <td></td>
  <td>optional</td>
  
  <td></td><td>::</td>
  <td><strong>delim</strong></td><td></td>
  
</tr>

</tbody>
</table>

    
    
    
    
    
    
    
   <h3>Return Value <small><span class="anchor" id="variable-darray"></span>doubleprecision,
  allocatable,(:)</small></h3>
    
    
    
    <br>
    
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Calls</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~s2vs~~CallsGraph Pages: 1 -->
<svg id="procs2vsCallsGraph" width="641pt" height="153pt"
 viewBox="0.00 0.00 641.00 153.21" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~s2vs~~CallsGraph" class="graph" transform="scale(.8282 .8282) rotate(0) translate(4 181)">
<title>proc~~s2vs~~CallsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-181 770,-181 770,4 -4,4"/>
<!-- proc~s2vs -->
<g id="proc~~s2vs~~CallsGraph_node1" class="node">
<title>proc~s2vs</title>
<polygon fill="none" stroke="#000000" points="54,-118 0,-118 0,-94 54,-94 54,-118"/>
<text text-anchor="middle" x="27" y="-103.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">s2vs</text>
</g>
<!-- proc~split_in_array -->
<g id="proc~~s2vs~~CallsGraph_node2" class="node">
<title>proc~split_in_array</title>
<g id="a_proc~~s2vs~~CallsGraph_node2"><a xlink:href=".././proc/split_in_array.html" xlink:title="split_in_array">
<polygon fill="#d9534f" stroke="#d9534f" points="170.5,-158 94.5,-158 94.5,-134 170.5,-134 170.5,-158"/>
<text text-anchor="middle" x="132.5" y="-143.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">split_in_array</text>
</a>
</g>
</g>
<!-- proc~s2vs&#45;&gt;proc~split_in_array -->
<g id="proc~~s2vs~~CallsGraph_edge1" class="edge">
<title>proc~s2vs&#45;&gt;proc~split_in_array</title>
<path fill="none" stroke="#000000" d="M54.1689,-116.301C65.3453,-120.5385 78.5433,-125.5425 90.8884,-130.2231"/>
<polygon fill="#000000" stroke="#000000" points="89.9599,-133.6141 100.5513,-133.8867 92.4416,-127.0688 89.9599,-133.6141"/>
</g>
<!-- interface~string_to_value -->
<g id="proc~~s2vs~~CallsGraph_node3" class="node">
<title>interface~string_to_value</title>
<g id="a_proc~~s2vs~~CallsGraph_node3"><a xlink:href=".././interface/string_to_value.html" xlink:title="string_to_value">
<polygon fill="#a7506f" stroke="#a7506f" points="175,-97 90,-97 90,-73 175,-73 175,-97"/>
<text text-anchor="middle" x="132.5" y="-82.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">string_to_value</text>
</a>
</g>
</g>
<!-- proc~s2vs&#45;&gt;interface~string_to_value -->
<g id="proc~~s2vs~~CallsGraph_edge2" class="edge">
<title>proc~s2vs&#45;&gt;interface~string_to_value</title>
<path fill="none" stroke="#000000" d="M54.1689,-100.592C62.0647,-99.0203 70.9694,-97.2478 79.8697,-95.4762"/>
<polygon fill="#000000" stroke="#000000" points="80.7381,-98.8721 89.8623,-93.4871 79.3714,-92.0068 80.7381,-98.8721"/>
</g>
<!-- proc~lower -->
<g id="proc~~s2vs~~CallsGraph_node5" class="node">
<title>proc~lower</title>
<g id="a_proc~~s2vs~~CallsGraph_node5"><a xlink:href=".././proc/lower.html" xlink:title="lower">
<polygon fill="#d94e8f" stroke="#d94e8f" points="265,-177 211,-177 211,-153 265,-153 265,-177"/>
<text text-anchor="middle" x="238" y="-162.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">lower</text>
</a>
</g>
</g>
<!-- proc~split_in_array&#45;&gt;proc~lower -->
<g id="proc~~s2vs~~CallsGraph_edge3" class="edge">
<title>proc~split_in_array&#45;&gt;proc~lower</title>
<path fill="none" stroke="#000000" d="M170.5879,-152.8594C180.4879,-154.6424 191.1364,-156.5601 200.9804,-158.333"/>
<polygon fill="#000000" stroke="#000000" points="200.4205,-161.7884 210.8825,-160.1163 201.6612,-154.8992 200.4205,-161.7884"/>
</g>
<!-- proc~a2d -->
<g id="proc~~s2vs~~CallsGraph_node4" class="node">
<title>proc~a2d</title>
<g id="a_proc~~s2vs~~CallsGraph_node4"><a xlink:href=".././proc/a2d.html" xlink:title="a2d">
<polygon fill="#d9534f" stroke="#d9534f" points="355,-92 301,-92 301,-68 355,-68 355,-92"/>
<text text-anchor="middle" x="328" y="-77.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">a2d</text>
</a>
</g>
</g>
<!-- interface~string_to_value&#45;&gt;proc~a2d -->
<g id="proc~~s2vs~~CallsGraph_edge6" class="edge">
<title>interface~string_to_value&#45;&gt;proc~a2d</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M166.6685,-97.0433C193.5019,-104.9051 231.7591,-112.5897 265,-106 275.3588,-103.9465 286.1521,-100.1646 295.8178,-96.1092"/>
<polygon fill="#000000" stroke="#000000" points="297.3265,-99.2689 305.0499,-92.0164 294.4895,-92.8696 297.3265,-99.2689"/>
</g>
<!-- proc~a2r -->
<g id="proc~~s2vs~~CallsGraph_node6" class="node">
<title>proc~a2r</title>
<g id="a_proc~~s2vs~~CallsGraph_node6"><a xlink:href=".././proc/a2r.html" xlink:title="a2r">
<polygon fill="#d9534f" stroke="#d9534f" points="265,-97 211,-97 211,-73 265,-73 265,-97"/>
<text text-anchor="middle" x="238" y="-82.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">a2r</text>
</a>
</g>
</g>
<!-- interface~string_to_value&#45;&gt;proc~a2r -->
<g id="proc~~s2vs~~CallsGraph_edge4" class="edge">
<title>interface~string_to_value&#45;&gt;proc~a2r</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M175.1068,-85C183.5509,-85 192.3554,-85 200.6101,-85"/>
<polygon fill="#000000" stroke="#000000" points="200.7036,-88.5001 210.7036,-85 200.7035,-81.5001 200.7036,-88.5001"/>
</g>
<!-- proc~a2i -->
<g id="proc~~s2vs~~CallsGraph_node7" class="node">
<title>proc~a2i</title>
<g id="a_proc~~s2vs~~CallsGraph_node7"><a xlink:href=".././proc/a2i.html" xlink:title="a2i">
<polygon fill="#d9534f" stroke="#d9534f" points="265,-55 211,-55 211,-31 265,-31 265,-55"/>
<text text-anchor="middle" x="238" y="-40.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">a2i</text>
</a>
</g>
</g>
<!-- interface~string_to_value&#45;&gt;proc~a2i -->
<g id="proc~~s2vs~~CallsGraph_edge5" class="edge">
<title>interface~string_to_value&#45;&gt;proc~a2i</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M162.7321,-72.9645C174.7652,-68.174 188.7229,-62.6174 201.3267,-57.5998"/>
<polygon fill="#000000" stroke="#000000" points="202.6505,-60.84 210.6467,-53.8895 200.0613,-54.3364 202.6505,-60.84"/>
</g>
<!-- proc~substitute -->
<g id="proc~~s2vs~~CallsGraph_node8" class="node">
<title>proc~substitute</title>
<g id="a_proc~~s2vs~~CallsGraph_node8"><a xlink:href=".././proc/substitute.html" xlink:title="substitute">
<polygon fill="#d9534f" stroke="#d9534f" points="455.5,-129 397.5,-129 397.5,-105 455.5,-105 455.5,-129"/>
<text text-anchor="middle" x="426.5" y="-114.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">substitute</text>
</a>
</g>
</g>
<!-- proc~a2d&#45;&gt;proc~substitute -->
<g id="proc~~s2vs~~CallsGraph_edge7" class="edge">
<title>proc~a2d&#45;&gt;proc~substitute</title>
<path fill="none" stroke="#000000" d="M355.1763,-90.2084C365.3061,-94.0135 377.0068,-98.4087 387.964,-102.5245"/>
<polygon fill="#000000" stroke="#000000" points="386.7513,-105.8078 397.3434,-106.0478 389.2129,-99.2548 386.7513,-105.8078"/>
</g>
<!-- proc~decodebase -->
<g id="proc~~s2vs~~CallsGraph_node9" class="node">
<title>proc~decodebase</title>
<g id="a_proc~~s2vs~~CallsGraph_node9"><a xlink:href=".././proc/decodebase.html" xlink:title="decodebase">
<polygon fill="#d94e8f" stroke="#d94e8f" points="462,-35 391,-35 391,-11 462,-11 462,-35"/>
<text text-anchor="middle" x="426.5" y="-20.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">decodebase</text>
</a>
</g>
</g>
<!-- proc~a2d&#45;&gt;proc~decodebase -->
<g id="proc~~s2vs~~CallsGraph_edge8" class="edge">
<title>proc~a2d&#45;&gt;proc~decodebase</title>
<path fill="none" stroke="#000000" d="M348.8893,-67.9118C362.8627,-59.8257 381.4565,-49.0658 396.9413,-40.105"/>
<polygon fill="#000000" stroke="#000000" points="398.7386,-43.1088 405.6408,-35.0708 395.2325,-37.0501 398.7386,-43.1088"/>
</g>
<!-- interface~v2s -->
<g id="proc~~s2vs~~CallsGraph_node10" class="node">
<title>interface~v2s</title>
<g id="a_proc~~s2vs~~CallsGraph_node10"><a xlink:href=".././interface/v2s.html" xlink:title="v2s">
<polygon fill="#a7506f" stroke="#a7506f" points="453.5,-87 399.5,-87 399.5,-63 453.5,-63 453.5,-87"/>
<text text-anchor="middle" x="426.5" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">v2s</text>
</a>
</g>
</g>
<!-- proc~a2d&#45;&gt;interface~v2s -->
<g id="proc~~s2vs~~CallsGraph_edge9" class="edge">
<title>proc~a2d&#45;&gt;interface~v2s</title>
<path fill="none" stroke="#000000" d="M355.1763,-78.6205C365.727,-78.0849 377.9818,-77.4629 389.3257,-76.887"/>
<polygon fill="#000000" stroke="#000000" points="389.6027,-80.3776 399.4124,-76.375 389.2478,-73.3866 389.6027,-80.3776"/>
</g>
<!-- proc~a2r&#45;&gt;proc~a2d -->
<g id="proc~~s2vs~~CallsGraph_edge10" class="edge">
<title>proc~a2r&#45;&gt;proc~a2d</title>
<path fill="none" stroke="#000000" d="M265.003,-83.4998C273.0277,-83.054 281.9665,-82.5574 290.5309,-82.0816"/>
<polygon fill="#000000" stroke="#000000" points="290.9146,-85.5658 300.705,-81.5164 290.5262,-78.5766 290.9146,-85.5658"/>
</g>
<!-- proc~a2i&#45;&gt;proc~a2d -->
<g id="proc~~s2vs~~CallsGraph_edge11" class="edge">
<title>proc~a2i&#45;&gt;proc~a2d</title>
<path fill="none" stroke="#000000" d="M265.003,-54.1012C273.2922,-57.509 282.5569,-61.3178 291.3766,-64.9437"/>
<polygon fill="#000000" stroke="#000000" points="290.1253,-68.2135 300.705,-68.7787 292.7869,-61.7392 290.1253,-68.2135"/>
</g>
<!-- proc~decodebase&#45;&gt;interface~string_to_value -->
<g id="proc~~s2vs~~CallsGraph_edge12" class="edge">
<title>proc~decodebase&#45;&gt;interface~string_to_value</title>
<path fill="none" stroke="#000000" d="M390.9646,-15.7231C347.2313,-8.3523 271.3543,-.7763 211,-22 186.5737,-30.5896 164.1252,-50.3412 149.548,-65.4563"/>
<polygon fill="#000000" stroke="#000000" points="146.9168,-63.1461 142.6737,-72.8542 152.0447,-67.9111 146.9168,-63.1461"/>
</g>
<!-- proc~l2s -->
<g id="proc~~s2vs~~CallsGraph_node11" class="node">
<title>proc~l2s</title>
<g id="a_proc~~s2vs~~CallsGraph_node11"><a xlink:href=".././proc/l2s.html" xlink:title="l2s">
<polygon fill="#d94e8f" stroke="#d94e8f" points="552,-150 498,-150 498,-126 552,-126 552,-150"/>
<text text-anchor="middle" x="525" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">l2s</text>
</a>
</g>
</g>
<!-- interface~v2s&#45;&gt;proc~l2s -->
<g id="proc~~s2vs~~CallsGraph_edge13" class="edge">
<title>interface~v2s&#45;&gt;proc~l2s</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M447.2625,-87.0288C452.1281,-89.9174 457.271,-93.0279 462,-96 474.2949,-103.727 487.7099,-112.6061 498.989,-120.2041"/>
<polygon fill="#000000" stroke="#000000" points="497.2716,-123.2681 507.5145,-125.9764 501.1962,-117.4717 497.2716,-123.2681"/>
</g>
<!-- proc~r2s -->
<g id="proc~~s2vs~~CallsGraph_node12" class="node">
<title>proc~r2s</title>
<g id="a_proc~~s2vs~~CallsGraph_node12"><a xlink:href=".././proc/r2s.html" xlink:title="r2s">
<polygon fill="#d94e8f" stroke="#d94e8f" points="552,-108 498,-108 498,-84 552,-84 552,-108"/>
<text text-anchor="middle" x="525" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">r2s</text>
</a>
</g>
</g>
<!-- interface~v2s&#45;&gt;proc~r2s -->
<g id="proc~~s2vs~~CallsGraph_edge14" class="edge">
<title>interface~v2s&#45;&gt;proc~r2s</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M453.6763,-80.7939C464.227,-83.0433 476.4818,-85.656 487.8257,-88.0745"/>
<polygon fill="#000000" stroke="#000000" points="487.4024,-91.5629 497.9124,-90.225 488.862,-84.7167 487.4024,-91.5629"/>
</g>
<!-- proc~i2s -->
<g id="proc~~s2vs~~CallsGraph_node13" class="node">
<title>proc~i2s</title>
<g id="a_proc~~s2vs~~CallsGraph_node13"><a xlink:href=".././proc/i2s.html" xlink:title="i2s">
<polygon fill="#d94e8f" stroke="#d94e8f" points="552,-66 498,-66 498,-42 552,-42 552,-66"/>
<text text-anchor="middle" x="525" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">i2s</text>
</a>
</g>
</g>
<!-- interface~v2s&#45;&gt;proc~i2s -->
<g id="proc~~s2vs~~CallsGraph_edge15" class="edge">
<title>interface~v2s&#45;&gt;proc~i2s</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M453.6763,-69.2061C464.227,-66.9567 476.4818,-64.344 487.8257,-61.9255"/>
<polygon fill="#000000" stroke="#000000" points="488.862,-65.2833 497.9124,-59.775 487.4024,-58.4371 488.862,-65.2833"/>
</g>
<!-- proc~d2s -->
<g id="proc~~s2vs~~CallsGraph_node14" class="node">
<title>proc~d2s</title>
<g id="a_proc~~s2vs~~CallsGraph_node14"><a xlink:href=".././proc/d2s.html" xlink:title="d2s">
<polygon fill="#d94e8f" stroke="#d94e8f" points="552,-24 498,-24 498,0 552,0 552,-24"/>
<text text-anchor="middle" x="525" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">d2s</text>
</a>
</g>
</g>
<!-- interface~v2s&#45;&gt;proc~d2s -->
<g id="proc~~s2vs~~CallsGraph_edge16" class="edge">
<title>interface~v2s&#45;&gt;proc~d2s</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M445.4918,-62.853C460.2086,-53.4402 480.8106,-40.2632 497.3555,-29.6813"/>
<polygon fill="#000000" stroke="#000000" points="499.5281,-32.4464 506.0665,-24.1097 495.7564,-26.5494 499.5281,-32.4464"/>
</g>
<!-- proc~value_to_string -->
<g id="proc~~s2vs~~CallsGraph_node15" class="node">
<title>proc~value_to_string</title>
<g id="a_proc~~s2vs~~CallsGraph_node15"><a xlink:href=".././proc/value_to_string.html" xlink:title="value_to_string">
<polygon fill="#d9534f" stroke="#d9534f" points="673,-87 588,-87 588,-63 673,-63 673,-87"/>
<text text-anchor="middle" x="630.5" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">value_to_string</text>
</a>
</g>
</g>
<!-- proc~l2s&#45;&gt;proc~value_to_string -->
<g id="proc~~s2vs~~CallsGraph_edge17" class="edge">
<title>proc~l2s&#45;&gt;proc~value_to_string</title>
<path fill="none" stroke="#000000" d="M545.3415,-125.853C561.2501,-116.353 583.5794,-103.0189 601.382,-92.388"/>
<polygon fill="#000000" stroke="#000000" points="603.4298,-95.2418 610.221,-87.1097 599.8408,-89.2318 603.4298,-95.2418"/>
</g>
<!-- proc~r2s&#45;&gt;proc~value_to_string -->
<g id="proc~~s2vs~~CallsGraph_edge18" class="edge">
<title>proc~r2s&#45;&gt;proc~value_to_string</title>
<path fill="none" stroke="#000000" d="M552.1689,-90.592C560.0647,-89.0203 568.9694,-87.2478 577.8697,-85.4762"/>
<polygon fill="#000000" stroke="#000000" points="578.7381,-88.8721 587.8623,-83.4871 577.3714,-82.0068 578.7381,-88.8721"/>
</g>
<!-- proc~i2s&#45;&gt;proc~value_to_string -->
<g id="proc~~s2vs~~CallsGraph_edge19" class="edge">
<title>proc~i2s&#45;&gt;proc~value_to_string</title>
<path fill="none" stroke="#000000" d="M552.1689,-59.408C560.0647,-60.9797 568.9694,-62.7522 577.8697,-64.5238"/>
<polygon fill="#000000" stroke="#000000" points="577.3714,-67.9932 587.8623,-66.5129 578.7381,-61.1279 577.3714,-67.9932"/>
</g>
<!-- proc~d2s&#45;&gt;proc~value_to_string -->
<g id="proc~~s2vs~~CallsGraph_edge20" class="edge">
<title>proc~d2s&#45;&gt;proc~value_to_string</title>
<path fill="none" stroke="#000000" d="M545.3415,-24.147C561.2501,-33.647 583.5794,-46.9811 601.382,-57.612"/>
<polygon fill="#000000" stroke="#000000" points="599.8408,-60.7682 610.221,-62.8903 603.4298,-54.7582 599.8408,-60.7682"/>
</g>
<!-- proc~trimzeros -->
<g id="proc~~s2vs~~CallsGraph_node16" class="node">
<title>proc~trimzeros</title>
<g id="a_proc~~s2vs~~CallsGraph_node16"><a xlink:href=".././proc/trimzeros.html" xlink:title="trimzeros">
<polygon fill="#d9534f" stroke="#d9534f" points="766,-87 709,-87 709,-63 766,-63 766,-87"/>
<text text-anchor="middle" x="737.5" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">trimzeros</text>
</a>
</g>
</g>
<!-- proc~value_to_string&#45;&gt;proc~trimzeros -->
<g id="proc~~s2vs~~CallsGraph_edge21" class="edge">
<title>proc~value_to_string&#45;&gt;proc~trimzeros</title>
<path fill="none" stroke="#000000" d="M673.0967,-75C681.538,-75 690.3576,-75 698.6658,-75"/>
<polygon fill="#000000" stroke="#000000" points="698.8491,-78.5001 708.849,-75 698.849,-71.5001 698.8491,-78.5001"/>
</g>
</g>
</svg>
</div><script>var panprocs2vsCallsGraph = svgPanZoom('#procs2vsCallsGraph', {zoomEnabled: true,controlIconsEnabled: true, fit: true, center: true,}); </script><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>